com.smartgwt.client.widgets.form

## Class ColorPicker

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.layout.Layout
          - - com.smartgwt.client.widgets.layout.VLayout
            - - com.smartgwt.client.widgets.Window
              - - com.smartgwt.client.widgets.form.ColorPicker

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasCloseClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMaximizeClickHandlers, HasMinimizeClickHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRestoreClickHandlers, HasRightMouseDownHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers, HasColorSelectedHandlers, HasMembersChangedHandlers

      public class ColorPicker
      extends Window
      implements HasColorSelectedHandlers

  The ColorPicker widget allows the user to select a color from anywhere in the color spectrum. It also supports selecting the alpha (opacity) value of the color. The picker supports a simple mode - which allows for one-click selection from a standard palette of colors - and a complex mode which allow the user to define any conceivable color. It is possible for the user to switch from simple mode to complex by interacting with the widget. In general, the widget provides very similar functionality to the color picker dialogs found in graphics packages and other desktop software.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorPicker()`
    `ColorPicker(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addColorSelectedHandler(ColorSelectedHandler handler)` Add a colorSelected handler.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `void` | `colorChanged()` Override this method to be kept informed when the ColorPicker changes in real-time (for example, if you need to update your own GUI accordingly).
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getAllowComplexMode()` Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
    `java.lang.Boolean` | `getAutoCenterOnShow()` If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is reshown with the show() method.
    `java.lang.Boolean` | `getAutoPosition()` If true, causes the ColorPicker to appear near where the mouse was last clicked.
    `java.lang.String` | `getBasicColorLabel()` The label shown above the basic color blocks.
    `int` | `getBlue()` Returns the Blue element of the currently-selected color, as an integer from 0-255
    `java.lang.String` | `getBlueFieldPrompt()` The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
    `java.lang.String` | `getBlueFieldTitle()` The title for the 'Blue' field in the complex chooser.
    `IButton` | `getCancelButton()` Cancel button for the ColorPicker
    `java.lang.String` | `getCancelButtonTitle()` The title for the 'Cancel' button.
    `java.lang.String[]` | `getColorArray()` Array of 40 HTML color strings, used to render the basic color selection boxes.
    `java.lang.String` | `getColorButtonBaseStyle()` Base CSS style applied to the basic color boxes
    `int` | `getColorButtonSize()` Width and height of the basic color boxes (they are always square, and they are all the same size).
    `java.lang.String` | `getCrosshairImageURL()` The location of the crosshair image file
    `java.lang.String` | `getDefaultColor()` The default color.
    `int` | `getDefaultOpacity()` The initial opacity value for the component, as a percentage value between 0 and 100
    `ColorPickerMode` | `getDefaultPickMode()` The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element).
    `int` | `getGreen()` Returns the Green element of the currently-selected color, as an integer from 0-255
    `java.lang.String` | `getGreenFieldPrompt()` The text to show when the mouse hovers over the 'Green' field in the complex chooser.
    `java.lang.String` | `getGreenFieldTitle()` The title for the 'Green' field in the complex chooser.
    `java.lang.String` | `getHtmlColor()` Returns the currently-selected color, in HTML color representation form, as a string.
    `java.lang.String` | `getHtmlFieldPrompt()` The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
    `java.lang.String` | `getHtmlFieldTitle()` The title for the 'HTML' field in the complex chooser.
    `int` | `getHue()` Returns the Hue of the currently-selected color, as an integer from 0-239
    `java.lang.String` | `getHueFieldPrompt()` The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
    `java.lang.String` | `getHueFieldTitle()` The title for the 'Hue' field in the complex chooser.
    `java.lang.String` | `getLessButtonTitle()` The title for the button that switches to a less complex view.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `java.lang.String` | `getLumFieldPrompt()` The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
    `java.lang.String` | `getLumFieldTitle()` The title for the 'Luminosity' field in the complex chooser.
    `int` | `getLuminosity()` Returns the Luminosity (brightness) of the currently-selected color, as an integer from 0-240
    `int` | `getLumWidth()` Width of the Luminosity bar
    `IButton` | `getModeToggleButton()` "More"/"Less" button for the ColorPicker
    `java.lang.String` | `getMoreButtonTitle()` The title for the button that switches to a more complex view.
    `IButton` | `getOkButton()` "OK" button for the ColorPicker
    `java.lang.String` | `getOkButtonTitle()` The title for the 'OK' button.
    `java.lang.String` | `getOpacitySliderLabel()` The label shown next to the opacity slider.
    `java.lang.String` | `getOpacityText()` The text to show underneath the selected color box, so that it can be seen through semi-transparent colors.
    `static ColorPicker` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRed()` Returns the Red element of the currently-selected color, as an integer from 0-255
    `java.lang.String` | `getRedFieldPrompt()` The text to show when the mouse hovers over the 'Red' field in the complex chooser.
    `java.lang.String` | `getRedFieldTitle()` The title for the 'Red' field in the complex chooser.
    `java.lang.String` | `getSatFieldPrompt()` The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
    `java.lang.String` | `getSatFieldTitle()` The title for the 'Sat' field in the complex chooser.
    `int` | `getSaturation()` Returns the Saturation of the currently-selected color, as an integer from 0-240
    `java.lang.String` | `getSelectedColorLabel()` The label shown next to the selected color box.
    `java.lang.Boolean` | `getSupportsTransparency()` Determines whether to show the opacity slider.
    `int` | `getSwatchHeight()` Displayed height of the color swatch image.
    `java.lang.String` | `getSwatchImageURL()` The location of the color swatch image file
    `int` | `getSwatchWidth()` Displayed width of the color swatch image.
    `void` | `setAllowComplexMode(java.lang.Boolean allowComplexMode)` Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
    `void` | `setAutoCenterOnShow(java.lang.Boolean autoCenterOnShow)` If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is reshown with the show() method.
    `void` | `setAutoPosition(java.lang.Boolean autoPosition)` If true, causes the ColorPicker to appear near where the mouse was last clicked.
    `void` | `setBasicColorLabel(java.lang.String basicColorLabel)` The label shown above the basic color blocks.
    `void` | `setBlue(int newValue)` Sets the Blue element of the selected color
    `void` | `setBlueFieldPrompt(java.lang.String blueFieldPrompt)` The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
    `void` | `setBlueFieldTitle(java.lang.String blueFieldTitle)` The title for the 'Blue' field in the complex chooser.
    `void` | `setCancelButtonTitle(java.lang.String cancelButtonTitle)` The title for the 'Cancel' button.
    `void` | `setColorArray(java.lang.String[] colorArray)` Array of 40 HTML color strings, used to render the basic color selection boxes.
    `void` | `setColorButtonBaseStyle(java.lang.String colorButtonBaseStyle)` Base CSS style applied to the basic color boxes
    `void` | `setColorButtonSize(int colorButtonSize)` Width and height of the basic color boxes (they are always square, and they are all the same size).
    `void` | `setCrosshairImageURL(java.lang.String crosshairImageURL)` The location of the crosshair image file
    `void` | `setCurrentPickMode(ColorPickerMode pickMode)` Changes the pick mode of this `ColorPicker` to `pickMode`.
    `void` | `setDefaultColor(java.lang.String defaultColor)` The default color.
    `void` | `setDefaultOpacity(int defaultOpacity)` The initial opacity value for the component, as a percentage value between 0 and 100
    `void` | `setDefaultPickMode(ColorPickerMode defaultPickMode)` The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element).
    `static void` | `setDefaultProperties(ColorPicker colorPickerProperties)` Class level method to set the default properties of this class.
    `void` | `setGreen(int newValue)` Sets the Green element of the selected color
    `void` | `setGreenFieldPrompt(java.lang.String greenFieldPrompt)` The text to show when the mouse hovers over the 'Green' field in the complex chooser.
    `void` | `setGreenFieldTitle(java.lang.String greenFieldTitle)` The title for the 'Green' field in the complex chooser.
    `void` | `setHtmlColor(java.lang.String newValue)` Changes the selected color to the one represented by the supplied HTML color string.
    `void` | `setHtmlFieldPrompt(java.lang.String htmlFieldPrompt)` The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
    `void` | `setHtmlFieldTitle(java.lang.String htmlFieldTitle)` The title for the 'HTML' field in the complex chooser.
    `void` | `setHue(int newValue)` Sets the Hue of the selected color
    `void` | `setHueFieldPrompt(java.lang.String hueFieldPrompt)` The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
    `void` | `setHueFieldTitle(java.lang.String hueFieldTitle)` The title for the 'Hue' field in the complex chooser.
    `void` | `setLessButtonTitle(java.lang.String lessButtonTitle)` The title for the button that switches to a less complex view.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.form.ColorPickerLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setLumFieldPrompt(java.lang.String lumFieldPrompt)` The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
    `void` | `setLumFieldTitle(java.lang.String lumFieldTitle)` The title for the 'Luminosity' field in the complex chooser.
    `void` | `setLuminosity(int newValue)` Sets the Luminosity (brightness) of the selected color
    `void` | `setLumWidth(int lumWidth)` Width of the Luminosity bar
    `void` | `setMoreButtonTitle(java.lang.String moreButtonTitle)` The title for the button that switches to a more complex view.
    `void` | `setOkButtonTitle(java.lang.String okButtonTitle)` The title for the 'OK' button.
    `void` | `setOpacity(int newValue)` Sets the Opacity of the selected color.
    `void` | `setOpacitySliderLabel(java.lang.String opacitySliderLabel)` The label shown next to the opacity slider.
    `void` | `setOpacityText(java.lang.String opacityText)` The text to show underneath the selected color box, so that it can be seen through semi-transparent colors.
    `void` | `setRed(int newValue)` Sets the Red element of the selected color
    `void` | `setRedFieldPrompt(java.lang.String redFieldPrompt)` The text to show when the mouse hovers over the 'Red' field in the complex chooser.
    `void` | `setRedFieldTitle(java.lang.String redFieldTitle)` The title for the 'Red' field in the complex chooser.
    `void` | `setSatFieldPrompt(java.lang.String satFieldPrompt)` The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
    `void` | `setSatFieldTitle(java.lang.String satFieldTitle)` The title for the 'Sat' field in the complex chooser.
    `void` | `setSaturation(int newValue)` Sets the Saturation of the selected color
    `void` | `setSelectedColorLabel(java.lang.String selectedColorLabel)` The label shown next to the selected color box.
    `void` | `setSupportsTransparency(java.lang.Boolean supportsTransparency)` Determines whether to show the opacity slider.
    `void` | `setSwatchHeight(int swatchHeight)` Displayed height of the color swatch image.
    `void` | `setSwatchImageURL(java.lang.String swatchImageURL)` The location of the color swatch image file
    `void` | `setSwatchWidth(int swatchWidth)` Displayed width of the color swatch image.

    - ### Methods inherited from class com.smartgwt.client.widgets.Window

      `addCloseClickHandler, addItem, addItem, addMaximizeClickHandler, addMember, addMember, addMinimizeClickHandler, addRestoreClickHandler, centerInPage, close, flash, getAnimateMinimize, getAutoCenter, getAutoSize, getBody, getBodyColor, getBodyStyle, getBringToFrontOnMouseUp, getCanDragReposition, getCanDragResize, getCanFocusInHeaderButtons, getCloseButton, getContentLayout, getContentsType, getDefaultMinimizeHeight, getDismissOnEscape, getDismissOnOutsideClick, getEditProxyConstructor, getFillSpaceStyleName, getFooter, getFooterHeight, getHeader, getHeaderBackground, getHeaderIcon, getHeaderLabel, getHeaderSrc, getHeaderStyle, getHiliteBodyColor, getHiliteHeaderSrc, getHiliteHeaderStyle, getIsModal, getItems, getMaximizeButton, getMaximized, getMinimizeAcceleration, getMinimizeButton, getMinimized, getMinimizeHeight, getMinimizeTime, getModalMask, getModalMaskOpacity, getModalMaskStyle, getOpacity, getPlacement, getPrintBodyStyle, getPrintHeaderStyle, getResizer, getRestoreButton, getShowBody, getShowCloseButton, getShowEdges, getShowFooter, getShowHeader, getShowHeaderBackground, getShowHeaderIcon, getShowMaximizeButton, getShowMinimizeButton, getShowModalMask, getShowResizer, getShowShadow, getShowStatusBar, getShowTitle, getSrc, getStatus, getStatusBar, getTitle, getUseBackMask, maximize, minimize, preloadImages, removeItem, restore, setAnimateMinimize, setAutoCenter, setAutoSize, setBodyColor, setBodyDefaults, setBodyStyle, setBringToFrontOnMouseUp, setCanDragReposition, setCanDragResize, setCanFocusInHeaderButtons, setContentLayout, setContentsType, setDefaultMinimizeHeight, setDefaultProperties, setDismissOnEscape, setDismissOnOutsideClick, setEditProxyConstructor, setFillSpaceStyleName, setFooterControls, setFooterHeight, setHeaderControls, setHeaderIcon, setHeaderIcon, setHeaderIconDefaults, setHeaderIconProperties, setHeaderSrc, setHeaderStyle, setHiliteBodyColor, setHiliteHeaderSrc, setHiliteHeaderStyle, setIsModal, setKeepInParentRect, setKeepInParentRect, setLogicalStructure, setMaximized, setMinimizeAcceleration, setMinimized, setMinimizeHeight, setMinimizeTime, setModalMaskOpacity, setModalMaskStyle, setOpacity, setPlacement, setPrintBodyStyle, setPrintHeaderStyle, setShowBody, setShowCloseButton, setShowEdges, setShowFooter, setShowHeader, setShowHeaderBackground, setShowHeaderIcon, setShowMaximizeButton, setShowMinimizeButton, setShowModalMask, setShowResizer, setShowShadow, setShowStatusBar, setShowTitle, setSrc, setStatus, setTitle, setUseBackMask, shouldDismissOnEscape`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

      `setDefaultProperties, setLogicalStructure`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

      `addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersMargin, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, onInit_Layout, onInit, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembersMargin, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addScrolledHandler, addShowContextMenuHandler, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanDrag, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowHover, getShowHoverComponents, getShowResizeBar, getShowSnapGrid, getShrinkElementOnHide, getSkinImgDir, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapResizeToGrid, getSnapTo, getSnapToGrid, getSnapVDirection, getSnapVGap, getStyleName, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUseDragMask, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, parentResized, printComponents, redraw, redraw, removeChild, removeChild, removePeer, removePeer, resizeBy, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanDrag, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setPadding, setPageLeft, setPageTop, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowHover, setShowHoverComponents, setShowResizeBar, setShowSnapGrid, setShrinkElementOnHide, setSkinImgDir, setSmoothFade, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToGrid, setSnapTo, setSnapToGrid, setSnapVDirection, setSnapVGap, setStyleName, setTabIndex, setTooltip, setTop, setTop, setUseDragMask, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setVisibility, setVisible, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateEditNode, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### ColorPicker

          public ColorPicker()

    - #### ColorPicker

          public ColorPicker(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static ColorPicker getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Window`

    - #### setAllowComplexMode

          public void setAllowComplexMode(java.lang.Boolean allowComplexMode)
                                   throws java.lang.IllegalStateException

      Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
      Parameters:
        `allowComplexMode` - Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getAllowComplexMode

          public java.lang.Boolean getAllowComplexMode()

      Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
      Returns:
        Boolean

    - #### setAutoCenterOnShow

          public void setAutoCenterOnShow(java.lang.Boolean autoCenterOnShow)
                                   throws java.lang.IllegalStateException

      If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is reshown with the show() method.
      Parameters:
        `autoCenterOnShow` - Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `setAutoPosition(java.lang.Boolean)`

    - #### getAutoCenterOnShow

          public java.lang.Boolean getAutoCenterOnShow()

      If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is reshown with the show() method.
      Returns:
        Boolean
      See Also:
        `getAutoPosition()`

    - #### setAutoPosition

          public void setAutoPosition(java.lang.Boolean autoPosition)
                               throws java.lang.IllegalStateException

      If true, causes the ColorPicker to appear near where the mouse was last clicked. If false, the ColorPicker is centered on first show; depending on the value of `autoCenterOnShow`, it either reappears wherever it was last shown after hide/show(), or centered regardless of where it was last shown.
      Parameters:
        `autoPosition` - Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `setAutoCenterOnShow(java.lang.Boolean)`

    - #### getAutoPosition

          public java.lang.Boolean getAutoPosition()

      If true, causes the ColorPicker to appear near where the mouse was last clicked. If false, the ColorPicker is centered on first show; depending on the value of `autoCenterOnShow`, it either reappears wherever it was last shown after hide/show(), or centered regardless of where it was last shown.
      Returns:
        Boolean
      See Also:
        `getAutoCenterOnShow()`

    - #### setBasicColorLabel

          public void setBasicColorLabel(java.lang.String basicColorLabel)
                                  throws java.lang.IllegalStateException

      The label shown above the basic color blocks.
      Parameters:
        `basicColorLabel` - See `HTMLString` . Default value is "Basic Colors:"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getBasicColorLabel

          public java.lang.String getBasicColorLabel()

      The label shown above the basic color blocks.
      Returns:
        See `HTMLString`

    - #### setBlueFieldPrompt

          public void setBlueFieldPrompt(java.lang.String blueFieldPrompt)
                                  throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
      Parameters:
        `blueFieldPrompt` - See `HTMLString` . Default value is "The Blue component of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getBlueFieldPrompt

          public java.lang.String getBlueFieldPrompt()

      The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setBlueFieldTitle

          public void setBlueFieldTitle(java.lang.String blueFieldTitle)
                                 throws java.lang.IllegalStateException

      The title for the 'Blue' field in the complex chooser.
      Parameters:
        `blueFieldTitle` - See `HTMLString` . Default value is "Blue"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getBlueFieldTitle

          public java.lang.String getBlueFieldTitle()

      The title for the 'Blue' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### getCancelButton

          public IButton getCancelButton()
                                  throws java.lang.IllegalStateException

      Cancel button for the ColorPicker

      For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        IButton
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setCancelButtonTitle

          public void setCancelButtonTitle(java.lang.String cancelButtonTitle)
                                    throws java.lang.IllegalStateException

      The title for the 'Cancel' button.
      Parameters:
        `cancelButtonTitle` - See `HTMLString` . Default value is "Cancel"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getCancelButtonTitle

          public java.lang.String getCancelButtonTitle()

      The title for the 'Cancel' button.
      Returns:
        See `HTMLString`

    - #### setColorArray

          public void setColorArray(java.lang.String[] colorArray)
                             throws java.lang.IllegalStateException

      Array of 40 HTML color strings, used to render the basic color selection boxes.
      Parameters:
        `colorArray` - Default value is [...]
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getColorArray

          public java.lang.String[] getColorArray()

      Array of 40 HTML color strings, used to render the basic color selection boxes.
      Returns:
        String[]

    - #### setColorButtonBaseStyle

          public void setColorButtonBaseStyle(java.lang.String colorButtonBaseStyle)
                                       throws java.lang.IllegalStateException

      Base CSS style applied to the basic color boxes
      Parameters:
        `colorButtonBaseStyle` - See `CSSStyleName` . Default value is "ColorChooserCell"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getColorButtonBaseStyle

          public java.lang.String getColorButtonBaseStyle()

      Base CSS style applied to the basic color boxes
      Returns:
        See `CSSStyleName`

    - #### setColorButtonSize

          public void setColorButtonSize(int colorButtonSize)
                                  throws java.lang.IllegalStateException

      Width and height of the basic color boxes (they are always square, and they are all the same size).
      Parameters:
        `colorButtonSize` - Default value is 20
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getColorButtonSize

          public int getColorButtonSize()

      Width and height of the basic color boxes (they are always square, and they are all the same size).
      Returns:
        int

    - #### setCrosshairImageURL

          public void setCrosshairImageURL(java.lang.String crosshairImageURL)
                                    throws java.lang.IllegalStateException

      The location of the crosshair image file
      Parameters:
        `crosshairImageURL` - See `SCImgURL` . Default value is "[SKIN]ColorPicker/crosshair.png"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getCrosshairImageURL

          public java.lang.String getCrosshairImageURL()

      The location of the crosshair image file
      Returns:
        See `SCImgURL`

    - #### setDefaultColor

          public void setDefaultColor(java.lang.String defaultColor)
                               throws java.lang.IllegalStateException

      The default color. This is the color that is selected when the picker first loads
      Parameters:
        `defaultColor` - Default value is #808080
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getDefaultColor

          public java.lang.String getDefaultColor()

      The default color. This is the color that is selected when the picker first loads
      Returns:
        String

    - #### setDefaultOpacity

          public void setDefaultOpacity(int defaultOpacity)
                                 throws java.lang.IllegalStateException

      The initial opacity value for the component, as a percentage value between 0 and 100
      Parameters:
        `defaultOpacity` - Default value is 100
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getDefaultOpacity

          public int getDefaultOpacity()

      The initial opacity value for the component, as a percentage value between 0 and 100
      Returns:
        int

    - #### setDefaultPickMode

          public void setDefaultPickMode(ColorPickerMode defaultPickMode)
                                  throws java.lang.IllegalStateException

      The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element). The `defaultPickMode` attribute specifies which of these two modes is in force when the picker first loads.
      If this method is called after the component has been drawn/initialized: Changes the pick mode of this `ColorPicker` to `pickMode`.

      Note: It is not allowed to set the pick mode to `ColorPickerMode.COMPLEX` if `allowComplexMode` is `false`.

      Parameters:
        `defaultPickMode` - the new pick mode.. Default value is "simple"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `setAllowComplexMode(java.lang.Boolean)`

    - #### getDefaultPickMode

          public ColorPickerMode getDefaultPickMode()

      The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element). The `defaultPickMode` attribute specifies which of these two modes is in force when the picker first loads.
      Returns:
        ColorPickerMode
      See Also:
        `getAllowComplexMode()`

    - #### setGreenFieldPrompt

          public void setGreenFieldPrompt(java.lang.String greenFieldPrompt)
                                   throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Green' field in the complex chooser.
      Parameters:
        `greenFieldPrompt` - See `HTMLString` . Default value is "The Green component of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getGreenFieldPrompt

          public java.lang.String getGreenFieldPrompt()

      The text to show when the mouse hovers over the 'Green' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setGreenFieldTitle

          public void setGreenFieldTitle(java.lang.String greenFieldTitle)
                                  throws java.lang.IllegalStateException

      The title for the 'Green' field in the complex chooser.
      Parameters:
        `greenFieldTitle` - See `HTMLString` . Default value is "Green"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getGreenFieldTitle

          public java.lang.String getGreenFieldTitle()

      The title for the 'Green' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setHtmlFieldPrompt

          public void setHtmlFieldPrompt(java.lang.String htmlFieldPrompt)
                                  throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
      Parameters:
        `htmlFieldPrompt` - See `HTMLString` . Default value is "The selected color&#39;s HTML coding"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getHtmlFieldPrompt

          public java.lang.String getHtmlFieldPrompt()

      The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setHtmlFieldTitle

          public void setHtmlFieldTitle(java.lang.String htmlFieldTitle)
                                 throws java.lang.IllegalStateException

      The title for the 'HTML' field in the complex chooser.
      Parameters:
        `htmlFieldTitle` - See `HTMLString` . Default value is "HTML"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getHtmlFieldTitle

          public java.lang.String getHtmlFieldTitle()

      The title for the 'HTML' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setHueFieldPrompt

          public void setHueFieldPrompt(java.lang.String hueFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
      Parameters:
        `hueFieldPrompt` - See `HTMLString` . Default value is "The Hue (base tone) of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getHueFieldPrompt

          public java.lang.String getHueFieldPrompt()

      The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setHueFieldTitle

          public void setHueFieldTitle(java.lang.String hueFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Hue' field in the complex chooser.
      Parameters:
        `hueFieldTitle` - See `HTMLString` . Default value is "Hue"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getHueFieldTitle

          public java.lang.String getHueFieldTitle()

      The title for the 'Hue' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setLessButtonTitle

          public void setLessButtonTitle(java.lang.String lessButtonTitle)
                                  throws java.lang.IllegalStateException

      The title for the button that switches to a less complex view.
      Parameters:
        `lessButtonTitle` - See `HTMLString` . Default value is "<< Less"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLessButtonTitle

          public java.lang.String getLessButtonTitle()

      The title for the button that switches to a less complex view.
      Returns:
        See `HTMLString`

    - #### setLumFieldPrompt

          public void setLumFieldPrompt(java.lang.String lumFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
      Parameters:
        `lumFieldPrompt` - See `HTMLString` . Default value is "The Luminosity (brightness) of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLumFieldPrompt

          public java.lang.String getLumFieldPrompt()

      The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setLumFieldTitle

          public void setLumFieldTitle(java.lang.String lumFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Luminosity' field in the complex chooser.
      Parameters:
        `lumFieldTitle` - See `HTMLString` . Default value is "Luminosity"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLumFieldTitle

          public java.lang.String getLumFieldTitle()

      The title for the 'Luminosity' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setLumWidth

          public void setLumWidth(int lumWidth)
                           throws java.lang.IllegalStateException

      Width of the Luminosity bar
      Parameters:
        `lumWidth` - Default value is 15
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLumWidth

          public int getLumWidth()

      Width of the Luminosity bar
      Returns:
        int

    - #### getModeToggleButton

          public IButton getModeToggleButton()
                                      throws java.lang.IllegalStateException

      "More"/"Less" button for the ColorPicker

      For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        IButton
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setMoreButtonTitle

          public void setMoreButtonTitle(java.lang.String moreButtonTitle)
                                  throws java.lang.IllegalStateException

      The title for the button that switches to a more complex view.
      Parameters:
        `moreButtonTitle` - See `HTMLString` . Default value is "More >>"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getMoreButtonTitle

          public java.lang.String getMoreButtonTitle()

      The title for the button that switches to a more complex view.
      Returns:
        See `HTMLString`

    - #### getOkButton

          public IButton getOkButton()
                              throws java.lang.IllegalStateException

      "OK" button for the ColorPicker

      For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        IButton
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setOkButtonTitle

          public void setOkButtonTitle(java.lang.String okButtonTitle)
                                throws java.lang.IllegalStateException

      The title for the 'OK' button.
      Parameters:
        `okButtonTitle` - See `HTMLString` . Default value is "OK"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getOkButtonTitle

          public java.lang.String getOkButtonTitle()

      The title for the 'OK' button.
      Returns:
        See `HTMLString`

    - #### setOpacitySliderLabel

          public void setOpacitySliderLabel(java.lang.String opacitySliderLabel)
                                     throws java.lang.IllegalStateException

      The label shown next to the opacity slider. Ignored if `supportsTransparency` is false.
      Parameters:
        `opacitySliderLabel` - See `HTMLString` . Default value is "Opacity"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getOpacitySliderLabel

          public java.lang.String getOpacitySliderLabel()

      The label shown next to the opacity slider. Ignored if `supportsTransparency` is false.
      Returns:
        See `HTMLString`

    - #### setOpacityText

          public void setOpacityText(java.lang.String opacityText)
                              throws java.lang.IllegalStateException

      The text to show underneath the selected color box, so that it can be seen through semi-transparent colors. If you do not want such text, set this value to blank. This value is irrelevant if `supportsTransparency` is false.
      Parameters:
        `opacityText` - See `HTMLString` . Default value is "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getOpacityText

          public java.lang.String getOpacityText()

      The text to show underneath the selected color box, so that it can be seen through semi-transparent colors. If you do not want such text, set this value to blank. This value is irrelevant if `supportsTransparency` is false.
      Returns:
        See `HTMLString`

    - #### setRedFieldPrompt

          public void setRedFieldPrompt(java.lang.String redFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Red' field in the complex chooser.
      Parameters:
        `redFieldPrompt` - See `HTMLString` . Default value is "The Red component of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getRedFieldPrompt

          public java.lang.String getRedFieldPrompt()

      The text to show when the mouse hovers over the 'Red' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setRedFieldTitle

          public void setRedFieldTitle(java.lang.String redFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Red' field in the complex chooser.
      Parameters:
        `redFieldTitle` - See `HTMLString` . Default value is "Red"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getRedFieldTitle

          public java.lang.String getRedFieldTitle()

      The title for the 'Red' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setSatFieldPrompt

          public void setSatFieldPrompt(java.lang.String satFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
      Parameters:
        `satFieldPrompt` - See `HTMLString` . Default value is "The Saturation (color purity) of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSatFieldPrompt

          public java.lang.String getSatFieldPrompt()

      The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setSatFieldTitle

          public void setSatFieldTitle(java.lang.String satFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Sat' field in the complex chooser.
      Parameters:
        `satFieldTitle` - See `HTMLString` . Default value is "Sat"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSatFieldTitle

          public java.lang.String getSatFieldTitle()

      The title for the 'Sat' field in the complex chooser.
      Returns:
        See `HTMLString`

    - #### setSelectedColorLabel

          public void setSelectedColorLabel(java.lang.String selectedColorLabel)
                                     throws java.lang.IllegalStateException

      The label shown next to the selected color box.
      Parameters:
        `selectedColorLabel` - See `HTMLString` . Default value is "Selected Color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSelectedColorLabel

          public java.lang.String getSelectedColorLabel()

      The label shown next to the selected color box.
      Returns:
        See `HTMLString`

    - #### setSupportsTransparency

          public void setSupportsTransparency(java.lang.Boolean supportsTransparency)
                                       throws java.lang.IllegalStateException

      Determines whether to show the opacity slider. This allows the user to select colors with an alpha element (ie, semi-transparent colors). If this attribute is set to false, no opacity slider is shown, and all colors are completely opaque.
      If this method is called after the component has been drawn/initialized: Set the `supportsTransparency` flag.
      Parameters:
        `supportsTransparency` - Set to true to enable transparency/opacity. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSupportsTransparency

          public java.lang.Boolean getSupportsTransparency()

      Determines whether to show the opacity slider. This allows the user to select colors with an alpha element (ie, semi-transparent colors). If this attribute is set to false, no opacity slider is shown, and all colors are completely opaque.
      Returns:
        Boolean

    - #### setSwatchHeight

          public void setSwatchHeight(int swatchHeight)
                               throws java.lang.IllegalStateException

      Displayed height of the color swatch image. The default height is approximately that used by the Windows® XP color picking window
      Parameters:
        `swatchHeight` - Default value is 170
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSwatchHeight

          public int getSwatchHeight()

      Displayed height of the color swatch image. The default height is approximately that used by the Windows® XP color picking window
      Returns:
        int

    - #### setSwatchImageURL

          public void setSwatchImageURL(java.lang.String swatchImageURL)
                                 throws java.lang.IllegalStateException

      The location of the color swatch image file
      Parameters:
        `swatchImageURL` - See `SCImgURL` . Default value is "[SKIN]ColorPicker/spectrum.png"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSwatchImageURL

          public java.lang.String getSwatchImageURL()

      The location of the color swatch image file
      Returns:
        See `SCImgURL`

    - #### setSwatchWidth

          public void setSwatchWidth(int swatchWidth)
                              throws java.lang.IllegalStateException

      Displayed width of the color swatch image. The default width is approximately that used by the Windows® XP color picking window
      Parameters:
        `swatchWidth` - Default value is 170
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSwatchWidth

          public int getSwatchWidth()

      Displayed width of the color swatch image. The default width is approximately that used by the Windows® XP color picking window
      Returns:
        int

    - #### colorChanged

          public void colorChanged()

      Override this method to be kept informed when the ColorPicker changes in real-time (for example, if you need to update your own GUI accordingly). Then use the getXxxx() methods (for example, `getBlue()` or `getLuminosity()`)to obtain current state as required.
      See Also:
        `ColorSelectedEvent`

    - #### addColorSelectedHandler

          public com.google.gwt.event.shared.HandlerRegistration addColorSelectedHandler(ColorSelectedHandler handler)

      Add a colorSelected handler.

      Override this method to be notified when the user selects a color either by clicking a basic color box in simple mode, or by clicking the OK button in complex mode. It is not intended that client code call this method.

      Specified by:
        `addColorSelectedHandler` in interface `HasColorSelectedHandlers`
      Parameters:
        `handler` - the colorSelected handler
      Returns:
        `HandlerRegistration` used to remove this handler

    - #### getBlue

          public int getBlue()

      Returns the Blue element of the currently-selected color, as an integer from 0-255
      Returns:
        blue color component
      See Also:
        `setBlue(int)`

    - #### getGreen

          public int getGreen()

      Returns the Green element of the currently-selected color, as an integer from 0-255
      Returns:
        green color component
      See Also:
        `setGreen(int)`

    - #### getHtmlColor

          public java.lang.String getHtmlColor()

      Returns the currently-selected color, in HTML color representation form, as a string. HTML color representation is a hash sign, followed by the red, green and blue elements of the color in 2-digit hex form - for example "#F17F1D"
      Returns:
        HTML color value
      See Also:
        `setHtmlColor(java.lang.String)`

    - #### getHue

          public int getHue()

      Returns the Hue of the currently-selected color, as an integer from 0-239
      Returns:
        hue value
      See Also:
        `setHue(int)`

    - #### getLuminosity

          public int getLuminosity()

      Returns the Luminosity (brightness) of the currently-selected color, as an integer from 0-240
      Returns:
        luminosity value
      See Also:
        `setLuminosity(int)`

    - #### getRed

          public int getRed()

      Returns the Red element of the currently-selected color, as an integer from 0-255
      Returns:
        red color component
      See Also:
        `setRed(int)`

    - #### getSaturation

          public int getSaturation()

      Returns the Saturation of the currently-selected color, as an integer from 0-240
      Returns:
        saturation value
      See Also:
        `setSaturation(int)`

    - #### setBlue

          public void setBlue(int newValue)

      Sets the Blue element of the selected color
      Parameters:
        `newValue` - An integer between 0 and 255
      See Also:
        `getBlue()`

    - #### setCurrentPickMode

          public void setCurrentPickMode(ColorPickerMode pickMode)

      Changes the pick mode of this `ColorPicker` to `pickMode`.

      Note: It is not allowed to set the pick mode to `ColorPickerMode.COMPLEX` if `allowComplexMode` is `false`.

      Parameters:
        `pickMode` - the new pick mode.

    - #### setGreen

          public void setGreen(int newValue)

      Sets the Green element of the selected color
      Parameters:
        `newValue` - An integer between 0 and 255
      See Also:
        `getGreen()`

    - #### setHtmlColor

          public void setHtmlColor(java.lang.String newValue)

      Changes the selected color to the one represented by the supplied HTML color string. Note that ths method only accepts the parameter if it represents a valid color (otherwise it is simply ignored).
      Parameters:
        `newValue` - A string in HTML color representation format (#RRGGBB)
      See Also:
        `getHtmlColor()`

    - #### setHue

          public void setHue(int newValue)

      Sets the Hue of the selected color
      Parameters:
        `newValue` - An integer between 0 and 239
      See Also:
        `getHue()`

    - #### setLuminosity

          public void setLuminosity(int newValue)

      Sets the Luminosity (brightness) of the selected color
      Parameters:
        `newValue` - An integer between 0 and 240
      See Also:
        `getLuminosity()`

    - #### setOpacity

          public void setOpacity(int newValue)

      Sets the Opacity of the selected color. Ignored if opacity is switched off.
      Parameters:
        `newValue` - An integer between 0 and 100
      See Also:
        `Window.getOpacity()`

    - #### setRed

          public void setRed(int newValue)

      Sets the Red element of the selected color
      Parameters:
        `newValue` - An integer between 0 and 255
      See Also:
        `getRed()`

    - #### setSaturation

          public void setSaturation(int newValue)

      Sets the Saturation of the selected color
      Parameters:
        `newValue` - An integer between 0 and 240
      See Also:
        `getSaturation()`

    - #### setDefaultProperties

          public static void setDefaultProperties(ColorPicker colorPickerProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `colorPickerProperties` - properties that should be used as new defaults when instances of this class are created

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.form.ColorPickerLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `Window`